Subject: Re: bug#13127: [PATCH] cut: use only one data strucutre
From: Pádraig Brady <[email-masked]>
To: Alexandru Cojocaru <[email-masked]>
Cc: [email-masked]
Date: Sat, 27 Apr 2013 00:46:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 04/26/2013 11:49 PM, Alexandru Cojocaru wrote:

>>>> The cut.pl test is now failing on master. Could you have a look.
>>> I had no problems. Could you show me your output?
>>
>> Ah the failures are in tests I added in the meantime:
>> http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commit;h=51ce0bf8
>>
>> Specifically this is now only outputting the first field,
>> rather than both fields like it should:
>>
>> printf '%s\n' a:1 b:2 | src/cut -s -d: -f1,2
> The problem was caused by `current_rp' which wasn't
> incremented as needed. See attachment for patch.
> My tests were succesfull, can you recheck?

Great tests now pass here.
I'll give it a thorough review tomorrow and apply.

thanks,
Pádraig.